Subject: Re: bug#29906: 27.0.50; Emacs prompts for passwords in GUI dialog instead of minibuffer

From: Stefan Kangas <[email-masked]>
Date: Sun, 29 Sep 2019 01:18:24 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked] (N. Jackson)
>> Date: Fri, 29 Dec 2017 21:11:44 -0500
>>
>> When I start Gnus with `M-x gnus' I get prompted for my password
>> (for my authinfo.gpg file) in a GUI dialog box. Expected
>> behaviour: The prompt is in the minibuffer.
>>
>> Similarly, when I open a .gpg file with `C-x C-f' I am being
>> presented with a GUI dialog instead of a prompt in the minibuffer.
>>
>> In general I expect to see prompts in the minibuffer unless I
>> interact with Emacs with the mouse, through the menus or toolbar.
>>
>> This behaviour is new since I last used master a few months ago.
>
> Does this NEWS.26 entry help?
>
>   ** The pinentry.el library has been removed.
>   That package (and the corresponding change in GnuPG and pinentry)
>   was intended to provide a way to input passphrase through Emacs with
>   GnuPG 2.0.  However, the change to support that was only implemented
>   in GnuPG >= 2.1 and didn't get backported to GnuPG 2.0.  And with
>   GnuPG 2.1 and later, pinentry.el is not needed at all.  So the
>   library was useless, and we removed it.  GnuPG 2.0 is no longer
>   supported by the upstream project.
>
>   To adapt to the change, you may need to set 'epa-pinentry-mode' to the
>   symbol 'loopback'.
>
> What version of GnuPG do you have on that system?

If I'm not mistaken, there is nothing more to do here.  Therefore, and
if no one protests within a reasonable time, I will close this as
notabug.

Best regards,
Stefan Kagas